Bug 233576 - www/varnish6: fix build with GCC-based architectures
Summary: www/varnish6: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-27 19:14 UTC by Piotr Kubaj
Modified: 2018-12-02 02:37 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments
patch (572 bytes, patch)
2018-11-27 19:14 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj 2018-11-27 19:14:47 UTC
Created attachment 199614 [details]
patch

Flags -Wno-unknown-warning-option -Wno-implicit-fallthrough are not supported by base GCC, making build fail on GCC architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Nathan 2018-11-27 21:52:22 UTC
Comment on attachment 199614 [details]
patch

May want to bump port with PORTREVISION since this fixes a build
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2018-11-29 03:27:46 UTC
(In reply to Nathan from comment #1)

It is generally not need to bump PORTREVISION for fixes.  A previous version on those archs could not have been built.
Comment 3 commit-hook freebsd_committer 2018-12-02 02:37:58 UTC
A commit references this bug:

Author: linimon
Date: Sun Dec  2 02:37:30 UTC 2018
New revision: 486390
URL: https://svnweb.freebsd.org/changeset/ports/486390

Log:
  Flags -Wno-unknown-warning-option -Wno-implicit-fallthrough are not
  supported by base GCC, making build fail on GCC-based architectures.

  This changes the location of the BAD_TESTS conditional.

  PR:		233576
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/www/varnish6/Makefile